/** @file gasmem.h
    @brief Registers all the GasMem types with the model factory

    Registers the following types:
    - Membrane12Rtsc
    - Membrane12Cstr
    - MembraneMulti12
    - MembraneMulti12<Membrane12Rtsc>
    - MembraneMulti12<Membrane12Cstr>
    - Membrane22Rtsc
    - Membrane22Linear
    - MembraneMulti22RtscCoflow
    - MembraneMulti22RtscCounterflow
    - MembraneMulti22LinearCoflow
    - MembraneMulti22LinearCounterflow

    This file is part of LIBPF
    All rights reserved; do not distribute without permission.
    @author (C) Copyright 2011-2012 Paolo Greppi Universita di Genova; (C) Copyright 2012-2024 Paolo Greppi simevo s.r.l.
*/

/*====================================================================================================================*/
/*==  Guards, Includes  ==============================================================================================*/
/*====================================================================================================================*/

// INCLUDE GUARDS
//
#ifndef LIBPF_GASMEM_H
#define LIBPF_GASMEM_H

/* SYSTEM INCLUDES */
//

/* PROJECT INCLUDES */
//
#include <libpf/persistency/NodeFactory.h>

/* LOCAL INCLUDES */
//

/* FORWARD REFERENCES */
//

/*====================================================================================================================*/
/*==  Class FactoryGasMem declaration ================================================================================*/
/*====================================================================================================================*/

static class FactoryGasMem {
public:
  FactoryGasMem(void);
  ~FactoryGasMem(void);
} factoryGasMem;

#endif // LIBPF_GASMEM_H
